## AnjutaSerializer AnjutaSerializer — Data serializer |

## Stability Level

Unstable, unless otherwise indicated

## Functions

AnjutaSerializer * | anjuta_serializer_new ()
gboolean | anjuta_serializer_write_int ()
gboolean | anjuta_serializer_write_float ()
gboolean | anjuta_serializer_write_string ()
gboolean | anjuta_serializer_read_int ()
gboolean | anjuta_serializer_read_float ()
gboolean | anjuta_serializer_read_string ()

## Properties

char * | filepath | Read / Write / Construct Only
AnjutaSerializerMode | mode | Read / Write / Construct Only

## Types and Values

enum | AnjutaSerializerMode

## Object Hierarchy

        GEnum
        ╰── AnjutaSerializerMode
        GObject
        ╰── AnjutaSerializer

## Includes

    #include <libanjuta/anjuta-serializer.h>

## Description

## Functions

### anjuta_serializer_new ()

    AnjutaSerializer *
    anjuta_serializer_new (const gchar *filepath,
                           AnjutaSerializerMode mode);

### anjuta_serializer_write_int ()

    gboolean
    anjuta_serializer_write_int (AnjutaSerializer *serializer,
                                 const gchar *name,
                                 gint value);

### anjuta_serializer_write_float ()

    gboolean
    anjuta_serializer_write_float (AnjutaSerializer *serializer,
                                   const gchar *name,
                                   gfloat value);

### anjuta_serializer_write_string ()

    gboolean
    anjuta_serializer_write_string (AnjutaSerializer *serializer,
                                    const gchar *name,
                                    const gchar *value);

### anjuta_serializer_read_int ()

    gboolean
    anjuta_serializer_read_int (AnjutaSerializer *serializer,
                                const gchar *name,
                                gint *value);

### anjuta_serializer_read_float ()

    gboolean
    anjuta_serializer_read_float (AnjutaSerializer *serializer,
                                  const gchar *name,
                                  gfloat *value);

### anjuta_serializer_read_string ()

    gboolean
    anjuta_serializer_read_string (AnjutaSerializer *serializer,
                                   const gchar *name,
                                   gchar **value,
                                   gboolean replace);

## Types and Values

### enum AnjutaSerializerMode

#### Members

ANJUTA_SERIALIZER_READ |  |
ANJUTA_SERIALIZER_WRITE |  |

## Property Details

### The `“filepath”` property

      “filepath”                 char *

Used to store and retrieve the streamtranslateable.

Owner: AnjutaSerializer

Flags: Read / Write / Construct Only

Default value: NULL

### The `“mode”` property

      “mode”                     AnjutaSerializerMode

Used to decide read or write operation.

Owner: AnjutaSerializer

Flags: Read / Write / Construct Only

Default value: ANJUTA_SERIALIZER_READ